%define upstream_name    Catalyst-View-GraphViz
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    GraphViz View Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Plugin::SubRequest)
BuildRequires: perl(GraphViz)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This is the Catalyst view class for the GraphViz manpage. Your application
subclass should inherit from this class.

This plugin renders the GraphViz object specified in
'$c->stash->{graphviz}->{graph}' into the '$c->stash->{graphviz}->{format}'
(one of e.g. png gif, or one of the other as_* methods described in the the
GraphViz manpage module. PNG is the default format.

The output is stored in '$c->response->output'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-11.mga10
+ Revision: 2213204
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.50.0-10.mga9
+ Revision: 1837491
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-9.mga8
+ Revision: 1493462
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-8.mga7
+ Revision: 1265975
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1023404
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 941937
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 749863
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 509760
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 41049
- mageia rebuild
- imported package perl-Catalyst-View-GraphViz


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 402991
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-3mdv2009.0
+ Revision: 255587
- rebuild

* Tue Mar 11 2008 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdv2008.1
+ Revision: 186772
- import perl-Catalyst-View-GraphViz


